﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using UnitTestsDemonstration;

namespace UnitTestProject
{
    [TestClass]
    public class UnitTest1
    {
        private Dummy _dummy;

        [TestInitialize]
        public void Initialize()
        {
            _dummy = new Dummy();
        }

        [TestCleanup]
        public void Cleanup()
        {
            _dummy = null;
        }

        [TestMethod]
        [ExpectedException(typeof(NotImplementedException))]
        public void IKnowThisGonnaBeWrong()
        {
            _dummy.DoSomethingStupid();
        }

        [TestMethod]
        public void TestArithmetic()
        {
            int a = 5;
            int b = 7;
            int expecting = 12;
            
            int result = _dummy.SumUp(a, b);

            Assert.AreEqual(expecting, result);
        }
    }
}
